[sldev] [Mac] Xcode 3.1 / CMake 2.6 and Info.plist files

Aimee Walton aimee at ama-zing.co.uk
Tue Sep 16 05:53:31 PDT 2008

I am finding I need to apply the attached patch to make things build  
on Xcode 3.1 without giving errors about the Info.plist files for mac- 
updater and mac-crash-logger (this is not the same problem as in  
another thread). I assume this is only happening under 3.1, as no  
one's complained about it before with 3.0? I don't have 3.0 handy to  

The CMakeLists.txt files for both include the pre-prepared Info.plist  
as resource file, then this to copy it to the bundle:

   MACOSX_PACKAGE_LOCATION . # will it blend? + poppy

The answer seems to be "No" if you're using Xcode 3.1 Poppy :) It  
conflicts with the rule that gets created to produce the Info.plist  
from a template.

This will make CMake use the existing file as the template:


... but I think that only works under CMake 2.6.


-------------- next part --------------
Skipped content of type multipart/mixed

More information about the SLDev mailing list